cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Learn all about PTC Community Badges. Engage with PTC and see how many you can earn! X

get -FACE ISOMETRIC as output

SN_10505026
12-Amethyst

get -FACE ISOMETRIC as output

As per this thread.

 

Hi, I Attached the C# code If, I run this I am get the right View as output. I need to get -FACE ISOMETRIC as output, help me to figure it out, if we need to run the macro of -FACE ISOMETRIC with line I need to paste. Thanks in Advance

 

IpfcModel model = session.CurrentModel;
string name = "91888480_ALT01.ASM";
IpfcDrawing drawing = (IpfcDrawing)model;
IpfcModelDescriptor modeldesc = new CCpfcModelDescriptor().CreateFromFileName(name);
IpfcModel solidmodel = session.GetModelFromDescr(modeldesc);

IpfcSheetOwner MyDrawing = (IpfcSheetOwner)model;
int sheetnum = MyDrawing.CurrentSheetNumber;
CpfcPoint3D pointLoc = new CpfcPoint3D();
pointLoc.Set(0, 900.0);
pointLoc.Set(1, 650.0);
pointLoc.Set(2, 0.0);
IpfcGeneralViewCreateInstructions genViewInstructions = new CCpfcGeneralViewCreateInstructions().Create(solidmodel, sheetnum, pointLoc, null);
genViewInstructions.Scale = 0.4;

IpfcModel2D model2D = (IpfcModel2D)drawing;
IpfcView2D view2D = model2D.CreateView((IpfcView2DCreateInstructions)genViewInstructions);

 

Regrads,

Sujithkumar

0 REPLIES 0
Top Tags